v1.0

post

/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/recon/shipments

Retrieves a list of resupply orders where each order contains an order ID and an order status. In the request body, kitRange should have the following format: KIT_NUMBER:min:max. Rights: OrsInventoryPost and either SourceDataVerification or OrsUnblinded.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    B1B8327AFAA6412287106192AB5984EF
Supported Media Types
Request Body - application/json ()
Root Schema : Manual Depot Supply Request
Type: object
Title: Manual Depot Supply Request
Manual depot-to-depot supply request object.
Show Source
Nested Schema : kits
Type: array
Minimum Number of Items: 1
Maximum Number of Items: 2147483647
Show Source
Nested Schema : DepotShipmentKitRequest
Type: object
Contains kit details for depot shipment creation.
Show Source
Example:
[
    {
        "kitTypeId":"B1B8327AFAA6412287106192AB5984EF",
        "quantity":"2"
    }
]
Examples

Back to Top

Response

Supported Media Types

202 Response

Successful operation
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

400 Response

'Kit reconciliation required was not set.','You can't update the status of this kit because the kit was sent to a depot.','You can't update the status of this kit because it's at a site that you don't have access to. Work with your clinical research associate or a clinical supply manager to update the kit.','Reconciliation shipment is not allowed as site has drug destruction capability.','Reconciliation shipment cannot be created as none of the depots have drug destruction capability.','Update kits cannot have both the kit identifiers list and the kits filter set.','Update kits must have either the kit identifiers list or the kits filter set.','Invalid inventory status transition.','Invalid kit at site.', 'Invalid kit range filter.', 'Subject ID is required.','Invalid subject.', 'Update kits no rows were found to update.','Update kits retrieved size exceeds maximum rows for update limit of.','Update kits retrieve error, the following kit identifiers were not found.'
Body ()
Root Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : details
Type: object
Examples

404 Response

Site ID not found in site service.
Body ()
Root Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : details
Type: object
Examples

500 Response

Internal server error
Body ()
Root Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : details
Type: object
Examples

Back to Top